Subject: Re: EXE has file junk in it
From: [email-masked] ("Dean Limbaugh")

4 Jun 1997 23:21:04 -0700
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Original-To: <[email-masked]>
X-MSMail-Priority: Normal
X-Priority: 3
X-Mailer: Microsoft Internet Mail 4.70.1161
MIME-Version: 1.0
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit
Original-Sender: [email-masked]

A word about MSDOS/WIN95/WINNT. Files sizes are always an integral number
of clusters. This means a 1 byte file occupies a full cluster. Apparently,
when a file is written to disk the unused portion of the buffer is not
cleared, so whatever was there is written to the disk. This has been the
case from DOS 1.0 and even Apple ][ proDOS. So thw behavior you see happens
to ever program that writes a file. 

----------
> From: jman <[email-masked]>
> To: Gunther Ebert <[email-masked]>
> Cc: Bill Klein <[email-masked]>; [email-masked]
> Subject: Re: EXE has file junk in it
> Date: Wednesday, June 04, 1997 1:22 AM
> 
> Using a hex editor I see this too. If you hex edit a file compiled with
> gnuwin32 it shows files from other dir in it. This has happened on both
> NT/Win95. It goes so far as getting a copy of my users an .pwd files. I
> see it as a security risk an advise not compiling any file with gnuwin32
> that has sensitive matter on your hd... 
> 
> 
> Gunther Ebert wrote:
> > 
> > Bill Klein wrote:
> > >
> > > Hey all,
> > >
> > > I have noticed, upon examining a few of the
> > > EXE files that I created using GNU Win32, that
> > > they have "junk" from other unrelated text files
> > > on the same hard drive (but not the same folder).
> > > Has anyone seen this before, or know what is
> > > causing this?
> > >
> > 
> > No, I have never seen this and I can't imagine how
> > such things could happen. How did you realize this
> > behaviour? Could you give some hints how to reproduce
> > it?
> > 
> > Gunther
> > --
> > 
> > Gunther Ebert
> > iXOS Anwendungs-Software GmbH
> > Angerstrasse 40-42
> > D-04177 Leipzig
> > 
> > Phone : +49 341 48503-0
> > Fax   : +49 341 48503-99
> > E-mail: mailto:[email-masked]
> > www   : http://www.ixos-leipzig.de
> > -
> > For help on using this list (especially unsubscribing), send a message
to
> > "[email-masked]" with one line of text: "help".
> 
> -- 
> Jason L. Esman aka _Jman
> System Admin. Network Consultant
> Irc Admin of irc.lx.net(newnet)
> Co. Owner of Den Internet Services
> http://www.lx.net && http://www.deninc.com
> PGP Keys finger [email-masked]
> -
> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".